using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {

            string[] s = Console.ReadLine().Split();
            double p = int.Parse(s[0]);
            double q = int.Parse(s[1]);
            double r = int.Parse(s[2]);
            int L = int.Parse(s[3]);
            int M = int.Parse(s[4]);
            for (int i = L; i <= M; i++)
            {
                int o = 0;
                int zbir = o; 
                double P = (i / p);
                    o = (int)p;
                    if (o != p)
                    {
                        o++;
                    }
                zbir += o;
                double Q = (i / q);
                o = (int)q;
                if (o != q)
                {
                    o++;
                }
                zbir += o;
                double R = (i / r);
                o = (int)r;
                if (o != r)
                {
                    o++;
                }
                zbir += o;
                if (i >= zbir)
                {
                    Console.WriteLine(M-i);
                    return;
                }

            }
            
        }
    }
}